API Explorer 1.0
Get/api/Catalogs/{catalogId}/QueryEventInfoAttributesById
API Explorer 1.0 > All Operations Resource Group : /api/Catalogs/{catalogId}/QueryEventInfoAttributesById (Get)
Description
This call returns a set of event parameters for each hourly point in the storm track for an event.
Parameters
NameDescriptionData Type
Represents the unique indentifier for the cataloginteger (int32)
Event IDinteger (int32)
Indicates the current API versionstring
200 Response

The response body is of type Array[HourlyPointAttributesResult].

Returns the event parameters such as latitude and longitude coordinates, central pressure, radius, angle in which the event is passing, forward speed, and wind speed for each hourly point.

Overview

Array[HourlyPointAttributesResult]
HourlyPointAttributesResult
Represents result type for hourly point attribute
eventId : integer (int64)
Specifies the event identifier associated with an hourly point
hour : integer (int64)
longitude : number (double)
Specifies the longitude y-axis coordinate of the event in a geographic location
latitude : number (double)
Specifies the latitude x-axis coordinate of the event in a geographic location
centralPressure : number (double)
Specifies the central pressure at which an event occurs
radius : number (double)
The radius of maximum winds, where 'Rmax' is the radial distance from the storm's center, or eye, to the radius where the highest cyclonic wind speeds occur. The Rmax tends to be larger at latitudes farther from the equator and smaller for more intense storms.
forwardSpeed : number (double)
Specifies the forward speed or translational speed is the rate at which a hurricane moves from point to point along its track
windSpeed : number (double)
Specifies the wind speed at any particular location is dependent on Rmax, the distance between the eye of the storm, the location of interest, the gradient wind reduction factor, and the peak weighting factor
angle : number (double)
Specifies the angle attribute. The measure of storm track angle measured clockwise (+) or counter-clockwise, where zero represents due north.
Fault Responses
FaultDescription
This fault returns a response body of type ProblemDetails.
Bad Request
This fault returns a response body of type ProblemDetails.
Unauthorized
See Also
All Operations Resource GroupAPI Explorer 1.0